Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.net
Enum TLSStatus

    java.lang.Object
      java.lang.Enum<TLSStatus>
          org.jivesoftware.openfire.net.TLSStatus

All Implemented Interfaces:
  Serializable, Comparable<TLSStatus>

    public enum TLSStatus

extends Enum<TLSStatus>

A TLSStatus enum describing the current handshaking state of this TLS connection.

Author:
  Artur Hefczyc, Hao Chen

Enum Constant Summary
`CLOSED` The operation just closed this side of the SSLEngine, or the operation could not be completed because it was already closed.
`NEED_READ` Need to receive data from the remote side before handshaking can continue.
`NEED_WRITE` ust send data to the remote side before handshaking can continue.
`OK` Handshaking is OK.
`UNDERFLOW` Not be able to unwrap the incoming data because there were not enough source bytes available to make a complete packet.

Method Summary
`static TLSStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TLSStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEED_WRITE

    public static final TLSStatus NEED_WRITE

  ust send data to the remote side before handshaking can continue.

### NEED_READ

    public static final TLSStatus NEED_READ

  Need to receive data from the remote side before handshaking can continue.

### UNDERFLOW

    public static final TLSStatus UNDERFLOW

  Not be able to unwrap the incoming data because there were not enough source bytes available to make a complete packet.

### CLOSED

    public static final TLSStatus CLOSED

  The operation just closed this side of the SSLEngine, or the operation could not be completed because it was already closed.

### OK

    public static final TLSStatus OK

  Handshaking is OK.

Method Detail

### values

    public static final TLSStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TLSStatus c : TLSStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TLSStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.